## stops 0.3.0

=== Makefile ===
default:
	echo Please specify make target: archive

DIR := $(shell basename `pwd`)

archive:	distclean
	cd ..; /bin/rm -f $(DIR).tar.bz2; tar cvf $(DIR).tar $(DIR); bzip2 $(DIR).tar

distclean:
	/bin/rm -f *~
	/bin/rm -f waves/*

=== debian/changelog ===
stops (0.3.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * Update d/control, re: #946641
  * d/control: http -> https
  * d/copyright: http -> https
  * d/copyright: adds upstream-name
  * d/watch: http -> https
  * d/copyright: add myself

  [ Sebastian Ramacher ]
  * debian/control:
    - Integrate changes to Description suggested by Daniel James
    - Bump Standards-Version
    - Bump debhelper compat to 12
    - Mark as M-A: foreign (Closes: #946641)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 Dec 2019 20:08:34 +0100

stops (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild package. (Closes: #907293)

  [ Alessio Treglia ]
  * Update Maintainer field.
  * Switch to '3.0 (quilt)' packaging format.

  [ Ondřej Nový ]
  * d/control:
    - Deprecating priority extra as per policy 4.0.1.
    - Set Vcs-* to salsa.debian.org. (Closes: #888669)
  * d/rules: Remove trailing whitespaces

  [ James Cowgill ]
  * d/compat: Use debhelper compat 11
  * d/copyright: Convert to machine readable format.
  * d/control:
    - Add Homepage.
    - Drop ${shlibs:Depends}.
    - Bump standards to version 4.2.1.
    - Expand description based on aeolus package.
  * d/rules: Convert to dh.
  * d/watch: Update to new download location.

 -- James Cowgill <jcowgill@debian.org>  Sun, 02 Sep 2018 14:00:16 +0100

stops (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #420589)

 -- Free Ekanayaka <freee@debian.org>  Mon, 23 Apr 2007 14:06:08 +0200

=== debian/control ===
Source: stops
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/
Vcs-Git: https://salsa.debian.org/multimedia-team/stops.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/stops

Package: stops
Architecture: all
Multi-Arch: foreign
Recommends: aeolus
Depends: ${misc:Depends}
Description: Stop and instrument definitions for Aeolus
 Aeolus is a synthesised (i.e. not sampled) pipe organ emulator that
 should be good enough to make an organist enjoy playing it. It is a
 software synthesiser optimised for this job, with possibly hundreds
 of controls for each stop, that enable the user to "voice" their
 instrument.
 .
 This package contains definitions of stops and of three instruments
 to be used with the aeolus organ synth: Aeolus (the default instrument),
 Aeolus1 and Aeolus2, selected with the -I command-line argument to aeolus.
 .
 This package contains binary instrument data, which have been created by the
 instrument editor feature in aeolus (accessible by holding down Ctrl then
 left-mouse-click on any stop in the aeolus GUI).

=== debian/watch ===
# Site		Directory	Pattern		Version	Script
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/ downloads/stops-(.*)\.tar\.bz2

## stops 0.4.0

=== debian/changelog ===
stops (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.2
  * Set RRR: no
  * Remove obsolete d/stops.dirs
  * Fix d/watch download url

 -- Dennis Braun <snd@debian.org>  Tue, 10 Jan 2023 14:35:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,24 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Uploaders:
+ Free Ekanayaka <freee@debian.org>,
+ Dennis Braun <snd@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+Standards-Version: 4.6.2
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/aeolus/
 Vcs-Git: https://salsa.debian.org/multimedia-team/stops.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/stops
+Rules-Requires-Root: no
 
 Package: stops
 Architecture: all
 Multi-Arch: foreign
-Recommends: aeolus
-Depends: ${misc:Depends}
+Recommends:
+ aeolus,
+Depends:
+ ${misc:Depends},
 Description: Stop and instrument definitions for Aeolus
  Aeolus is a synthesised (i.e. not sampled) pipe organ emulator that
  should be good enough to make an organist enjoy playing it. It is a

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Disable upstream's Makefile which does nothing useful for us
override_dh_auto_build:

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/ stops-(.*)\.tar\.bz2

## stops 1.0-1

=== DESCRIPTION ===
Package: stops
Title: Structure Optimized Proximity Scaling
Version: 1.0-1
Date: 2023-01-18
Authors@R: c(person(given="Thomas", family="Rusch", email="thomas.rusch@wu.ac.at", role = c("aut","cre")), person(given="Jan",family="de Leeuw", role = c("aut")), person(given="Lisha",family="Chen", role = "aut"),  person(given="Patrick",family="Mair", role = "aut"), person(given="Kurt",family="Hornik", role = "ctb"))
Author: Thomas Rusch [aut, cre],
  Jan de Leeuw [aut],
  Lisha Chen [aut],
  Patrick Mair [aut],
  Kurt Hornik [ctb]
Maintainer: Thomas Rusch <thomas.rusch@wu.ac.at>
Description: A collection of methods that fit nonlinear distance transformations in multidimensional scaling (MDS) and trade-off the fit with structure considerations to find optimal parameters also known as structure optimized proximity scaling (STOPS) (Rusch, Mair & Hornik, 2023,<doi:10.1007/s11222-022-10197-w>). The package contains various functions, wrappers, methods and classes for fitting, plotting and displaying different MDS models in a STOPS framework like Torgerson (classical) scaling, scaling by majorizing a complex function (SMACOF), Sammon mapping, elastic scaling, symmetric SMACOF, spherical SMACOF, s-stress, r-stress, power MDS, power elastic scaling, power Sammon mapping, power stress MDS (POST-MDS), approximate power stress, Box-Cox MDS, local MDS and Isomap. All of these models can also be fit individually with given hyperparameters or by optimizing over hyperparameters based on fit only (i.e., no structure considerations). The package further contains functions for optimization, specifically the adaptive Luus-Jaakola algorithm and a wrapper for Bayesian optimization with treed Gaussian process with jumps to linear models, and functions for various c-structuredness indices.
Depends: R (>= 3.5.0), smacof, rgl
Imports: cordillera, MASS, pso, scatterplot3d, acepack, minerva,
        energy, DiceOptim, DiceKriging, tgp, pomp, vegan, scagnostics,
        clue, cmaes, dfoptim, nloptr
Enhances: stats
Suggests: sp, R.rsp
License: GPL-2 | GPL-3
LazyData: true
URL: https://r-forge.r-project.org/projects/stops/
VignetteBuilder: R.rsp
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-01-18 21:02:27 UTC; trusch
Repository: CRAN
Date/Publication: 2023-01-20 10:10:02 UTC

## stops 1.6-2

=== DESCRIPTION ===
Package: stops
Title: Structure Optimized Proximity Scaling
Version: 1.6-2
Authors@R: c(person(given="Thomas", family="Rusch", email="thomas.rusch@wu.ac.at", role = c("aut","cre"),comment = c(ORCID = "0000-0002-7773-2096")), person(given="Patrick", family="Mair", role = "aut",comment=c(ORCID="0000-0003-0100-6511")), person(given="Kurt",family="Hornik", role = "ctb", email = "Kurt.Hornik@R-project.org", comment = c(ORCID = "0000-0003-4198-9911")))
Maintainer: Thomas Rusch <thomas.rusch@wu.ac.at>
Description: Methods that use flexible variants of multidimensional scaling (MDS) which incorporate parametric nonlinear distance transformations and trade-off the goodness-of-fit fit with structure considerations to find optimal hyperparameters, also known as structure optimized proximity scaling (STOPS) (Rusch, Mair & Hornik, 2023,<doi:10.1007/s11222-022-10197-w>). The package contains various functions, wrappers, methods and classes for fitting, plotting and displaying different 1-way MDS models with ratio, interval, ordinal optimal scaling in a STOPS framework. These cover essentially the functionality of the package smacofx, including Torgerson (classical) scaling with power transformations of dissimilarities, SMACOF MDS with powers of dissimilarities, Sammon mapping with powers of dissimilarities, elastic scaling with powers of dissimilarities, spherical SMACOF with powers of dissimilarities, (ALSCAL) s-stress MDS with powers of dissimilarities, r-stress MDS, MDS with powers of dissimilarities and configuration distances, elastic scaling powers of dissimilarities and configuration distances, Sammon mapping powers of dissimilarities and configuration distances, power stress MDS (POST-MDS), approximate power stress, Box-Cox MDS, local MDS, Isomap, curvilinear component analysis (CLCA), curvilinear distance analysis (CLDA) and sparsified (power) multidimensional scaling and (power) multidimensional distance analysis (experimental models from smacofx influenced by CLCA). All of these models can also be fit by optimizing over hyperparameters based on goodness-of-fit fit only (i.e., no structure considerations). The package further contains functions for optimization, specifically the adaptive Luus-Jaakola algorithm and a wrapper for Bayesian optimization with treed Gaussian process with jumps to linear models, and functions for various c-structuredness indices.
Depends: R (>= 3.5.0), smacofx
Imports: acepack, clue, cmaes, cordillera, dfoptim, DiceOptim,
        DiceKriging, energy, minerva, nloptr, pomp, pso, scagnostics,
        smacof, tgp, vegan
Enhances: stats
Suggests: R.rsp
License: GPL-2 | GPL-3
LazyData: true
URL: https://r-forge.r-project.org/projects/stops/
VignetteBuilder: R.rsp
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-06-27 15:45:24 UTC; trusch
Author: Thomas Rusch [aut, cre] (<https://orcid.org/0000-0002-7773-2096>),
  Patrick Mair [aut] (<https://orcid.org/0000-0003-0100-6511>),
  Kurt Hornik [ctb] (<https://orcid.org/0000-0003-4198-9911>)
Repository: CRAN
Date/Publication: 2024-06-28 07:30:02 UTC

## stops 1.8-2

=== DESCRIPTION ===
Package: stops
Title: Structure Optimized Proximity Scaling
Version: 1.8-2
Authors@R: c(person(given="Thomas", family="Rusch", email="thomas.rusch@wu.ac.at", role = c("aut","cre"),comment = c(ORCID = "0000-0002-7773-2096")), person(given="Patrick", family="Mair", role = "aut",comment=c(ORCID="0000-0003-0100-6511")), person(given="Kurt",family="Hornik", role = "ctb", email = "Kurt.Hornik@R-project.org", comment = c(ORCID = "0000-0003-4198-9911")))
Maintainer: Thomas Rusch <thomas.rusch@wu.ac.at>
Description: Methods that use flexible variants of multidimensional scaling (MDS) which incorporate parametric nonlinear distance transformations and trade-off the goodness-of-fit fit with structure considerations to find optimal hyperparameters, also known as structure optimized proximity scaling (STOPS) (Rusch, Mair & Hornik, 2023,<doi:10.1007/s11222-022-10197-w>). The package contains various functions, wrappers, methods and classes for fitting, plotting and displaying different 1-way MDS models with ratio, interval, ordinal optimal scaling in a STOPS framework. These cover essentially the functionality of the package smacofx, including Torgerson (classical) scaling with power transformations of dissimilarities, SMACOF MDS with powers of dissimilarities, Sammon mapping with powers of dissimilarities, elastic scaling with powers of dissimilarities, spherical SMACOF with powers of dissimilarities, (ALSCAL) s-stress MDS with powers of dissimilarities, r-stress MDS, MDS with powers of dissimilarities and configuration distances, elastic scaling powers of dissimilarities and configuration distances, Sammon mapping powers of dissimilarities and configuration distances, power stress MDS (POST-MDS), approximate power stress, Box-Cox MDS, local MDS, Isomap, curvilinear component analysis (CLCA), curvilinear distance analysis (CLDA) and sparsified (power) multidimensional scaling and (power) multidimensional distance analysis (experimental models from smacofx influenced by CLCA). All of these models can also be fit by optimizing over hyperparameters based on goodness-of-fit fit only (i.e., no structure considerations). The package further contains functions for optimization, specifically the adaptive Luus-Jaakola algorithm and a wrapper for Bayesian optimization with treed Gaussian process with jumps to linear models, and functions for various c-structuredness indices.
Depends: R (>= 3.5.0), smacofx
Imports: acepack, clue, cmaes, cordillera, dfoptim, DiceOptim,
        DiceKriging, energy, minerva, nloptr, pomp, pso, registry,
        scagnostics, smacof, tgp, vegan
Enhances: stats
Suggests: R.rsp
License: GPL-2 | GPL-3
LazyData: true
URL: https://r-forge.r-project.org/projects/stops/
VignetteBuilder: R.rsp
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-09-22 19:20:18 UTC; trusch
Author: Thomas Rusch [aut, cre] (<https://orcid.org/0000-0002-7773-2096>),
  Patrick Mair [aut] (<https://orcid.org/0000-0003-0100-6511>),
  Kurt Hornik [ctb] (<https://orcid.org/0000-0003-4198-9911>)
Repository: CRAN
Date/Publication: 2024-09-22 19:50:02 UTC

## stops 1.9-1

=== DESCRIPTION ===
Package: stops
Title: Structure Optimized Proximity Scaling
Version: 1.9-1
Authors@R: c(person(given="Thomas", family="Rusch", email="thomas.rusch@wu.ac.at", role = c("aut","cre"),comment = c(ORCID = "0000-0002-7773-2096")), person(given="Patrick", family="Mair", role = "aut",comment=c(ORCID="0000-0003-0100-6511")), person(given="Kurt",family="Hornik", role = "ctb", email = "Kurt.Hornik@R-project.org", comment = c(ORCID = "0000-0003-4198-9911")))
Maintainer: Thomas Rusch <thomas.rusch@wu.ac.at>
Description: Methods that use flexible variants of multidimensional scaling (MDS) which incorporate parametric nonlinear distance transformations and trade-off the goodness-of-fit fit with structure considerations to find optimal hyperparameters, also known as structure optimized proximity scaling (STOPS) (Rusch, Mair & Hornik, 2023,<doi:10.1007/s11222-022-10197-w>). The package contains various functions, wrappers, methods and classes for fitting, plotting and displaying different 1-way MDS models with ratio, interval, ordinal optimal scaling in a STOPS framework. These cover essentially the functionality of the package smacofx, including Torgerson (classical) scaling with power transformations of dissimilarities, SMACOF MDS with powers of dissimilarities, Sammon mapping with powers of dissimilarities, elastic scaling with powers of dissimilarities, spherical SMACOF with powers of dissimilarities, (ALSCAL) s-stress MDS with powers of dissimilarities, r-stress MDS, MDS with powers of dissimilarities and configuration distances, elastic scaling powers of dissimilarities and configuration distances, Sammon mapping powers of dissimilarities and configuration distances, power stress MDS (POST-MDS), approximate power stress, Box-Cox MDS, local MDS, Isomap, curvilinear component analysis (CLCA), curvilinear distance analysis (CLDA) and sparsified (power) multidimensional scaling and (power) multidimensional distance analysis (experimental models from smacofx influenced by CLCA). All of these models can also be fit by optimizing over hyperparameters based on goodness-of-fit fit only (i.e., no structure considerations). The package further contains functions for optimization, specifically the adaptive Luus-Jaakola algorithm and a wrapper for Bayesian optimization with treed Gaussian process with jumps to linear models, and functions for various c-structuredness indices. Hyperparameter optimization can be done with a number of techniques but we recommend either Bayesian optimization or particle swarm. For using "Kriging", users need to install a version of the archived 'DiceOptim' R package. 
Depends: R (>= 3.5.0), smacofx
Imports: acepack, clue, cmaes, cordillera, dfoptim, energy, minerva,
        nloptr, pomp, pso, registry, scagnostics, smacof, tgp, vegan
Enhances: stats
Suggests: R.rsp, DiceOptim, DiceKriging
License: GPL-2 | GPL-3
LazyData: true
URL: https://r-forge.r-project.org/projects/stops/
VignetteBuilder: R.rsp
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2025-04-28 08:44:54 UTC; trusch
Author: Thomas Rusch [aut, cre] (<https://orcid.org/0000-0002-7773-2096>),
  Patrick Mair [aut] (<https://orcid.org/0000-0003-0100-6511>),
  Kurt Hornik [ctb] (<https://orcid.org/0000-0003-4198-9911>)
Repository: CRAN
Date/Publication: 2025-04-28 09:10:02 UTC
